* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style-type: none;
}

body {
    height: 100vh;
    overflow-y: hidden;
}

/* Navbar */

header .navbar {
    position: fixed;
    background: var(--backgroundNavbar);
    padding: 12px;
    top: 0;
    right: 0;
    width: auto;
    box-sizing: border-box;
    z-index: 100;
}

header .navbar .nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
}

header .navbar .nav-links li a button {
    padding: 3px;
    background: none;
    border: none;
    color: var(--ecriture);
    font-size: 25px;
    font-family: 'Roboto Condensed', sans-serif;
    cursor: pointer;
}

header .navbar .nav-links li a .non-active:hover {
    background-color: #3f3f3f;
}


/* corps du site internet */

main iframe {
    width: 100%;
    height: 100vh;
    border: none;
}

/* Responsive du site internet */

@media screen and (max-width: 835px) {

    .navbar .menu-hamburger {
        display: block;
        cursor: pointer;
    }

    .nav-links {
        top: 0;
        left: 0;
        position: absolute;
        background-color: var(--backgroundNavbar);
        backdrop-filter: blur(7px);
        width: 100%;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-left: 100%;
        transition: all 0.5s ease;
    }

    .nav-links {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .nav-links.mobile-menu {
        margin-left: 0;
    }

    .navbar .nav-links ul li {
        margin: 100px;
        font-size: 1.2em;
    }

}